#!/bin/bash
#
# DARC - configuration file
#

# Recipient list, separate multiple values with spaces
rcptlist="user1@dom.com user2@dom.com"

# Authentication parameters 
# NOTE: These can be overridden in hostdefs.sh
username=darc
id_dsa=/home/darc/.ssh/id_dsa
sshport=22

# SHOULD NOT NEED TO EDIT BELOW THIS LINE
if [ -z "$DARCHOME" ]; then
  echo "DARCHOME variable is not set."
  exit 1
fi

if [ ! -d "$DARCHOME" ]; then
  echo "DARCHOME directory does not exist: $DARCHOME"
  exit 1
fi

confdir=${DARCHOME}/conf
dbdir=${DARCHOME}/db
dbarchdir=${dbdir}/archive
tmpdir=${DARCHOME}/tmp
bindir=${DARCHOME}/bin
logdir=${DARCHOME}/log
reportdir=${DARCHOME}/reports
baseline=${dbdir}/db.${host}
timestamp=`date +%Y%m%d_%H%M`
newdb=${dbarchdir}/db.${host}.${timestamp}
report=${tmpdir}/report.${host}.${timestamp}
log=${logdir}/${host}
genreplog=${logdir}/genrep.${host}
lockfile=${logdir}/LOCK

export confdir dbdir tmpdir bindir logdir reportdir baseline 
export timestamp newdb report log genreplog lockfile

